## libkf5mailcommon 22.12.0

=== debian/changelog ===
libkf5mailcommon (4:22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:36:32 +0100

libkf5mailcommon (4:22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:06:13 +0100

libkf5mailcommon (4:22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:55:46 +0100

libkf5mailcommon (4:22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:13:09 +0200

libkf5mailcommon (4:22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:11:31 +0200

libkf5mailcommon (4:22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:47:11 +0200

libkf5mailcommon (4:22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:58:57 +0200

libkf5mailcommon (4:22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:03:55 +0200

libkf5mailcommon (4:22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:48:40 +0200

libkf5mailcommon (4:22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 May 2022 20:02:59 +0200

libkf5mailcommon (4:21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:11:21 +0200

libkf5mailcommon (4:21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 23:34:32 +0100

libkf5mailcommon (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:26:39 +0900

libkf5mailcommon (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:37:18 +0900

libkf5mailcommon (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:41:09 +0900

libkf5mailcommon (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:15:30 +0900

libkf5mailcommon (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.
  * Update Debian ABI Manager patch.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:47:06 +0900

=== debian/control ===
Source: libkf5mailcommon
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               libgpgmepp-dev (>= 1.16.0~),
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:22.12.0~),
               libkf5akonadicontact-dev (>= 4:22.12.0~),
               libkf5akonadimime-dev (>= 4:22.12.0~),
               libkf5archive-dev (>= 5.99.0~),
               libkf5completion-dev (>= 5.99.0~),
               libkf5config-dev (>= 5.99.0~),
               libkf5configwidgets-dev (>= 5.99.0~),
               libkf5dbusaddons-dev (>= 5.99.0~),
               libkf5guiaddons-dev (>= 5.99.0~),
               libkf5i18n-dev (>= 5.99.0~),
               libkf5iconthemes-dev (>= 5.99.0~),
               libkf5itemmodels-dev (>= 5.99.0~),
               libkf5itemviews-dev (>= 5.99.0~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5libkdepim-dev (>= 4:22.12.0~),
               libkf5mailimporter-dev (>= 4:22.12.0~),
               libkf5mailtransport-dev (>= 22.12.0~),
               libkf5messagecomposer-dev (>= 4:22.12.0~),
               libkf5messagecore-dev (>= 4:22.12.0~),
               libkf5messagelist-dev (>= 4:22.12.0~),
               libkf5messageviewer-dev (>= 4:22.12.0~),
               libkf5mime-dev (>= 22.12.0~),
               libkf5pimcommon-dev (>= 4:22.12.0~),
               libkf5syntaxhighlighting-dev (>= 5.99.0~),
               libkf5templateparser-dev (>= 4:22.12.0~),
               libkf5textwidgets-dev (>= 5.99.0~),
               libkf5webengineviewer-dev (>= 4:22.12.0~),
               libkf5widgetsaddons-dev (>= 5.99.0~),
               libkf5xmlgui-dev (>= 5.99.0~),
               libphonon4qt5-dev (>= 4:4.11.1~),
               libphonon4qt5experimental-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.4.0~),
               xauth,
               xsltproc,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/mailcommon
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailcommon
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailcommon.git
Rules-Requires-Root: no

Package: libkf5mailcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5mailcommon-plugins (<< 4:19.08.2-1~)
Replaces: libkf5mailcommon-plugins (<< 4:19.08.2-1~)
Description: KDE PIM email utility library, shared data
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the shared data distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:22.12.0~),
         libkf5akonadimime-dev (>= 4:22.12.0~),
         libkf5config-dev (>= 5.99.0~),
         libkf5libkdepim-dev (>= 4:22.12.0~),
         libkf5mailcommon5abi2 (= ${binary:Version}),
         libkf5messagecomposer-dev (>= 4:22.12.0~),
         libkf5messagecore-dev (>= 4:22.12.0~),
         libkf5messageviewer-dev (>= 4:22.12.0~),
         libkf5pimcommon-dev (>= 4:22.12.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM email utility library, devel files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the development files needed for the KDE PIM mail common
 library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5mailcommon-data (<< 4:19.08.2-1~)
Description: KDE PIM email utility library, plugins
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the plugins distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5MailCommon
Architecture: any
Multi-Arch: same
Depends: libkf5mailcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM email utility library
 The mail common library provides utility functions for dealing with email.
 .
 This package is part of KDE PIM module.
Provides: ${ABI:VirtualPackage}

## libkf5mailcommon 22.12.3

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.22.3")

project(mailcommon VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.99.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddTests)
include(ECMAddQch)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
endif()

set(MAILCOMMON_LIB_VERSION ${PIM_VERSION})
set(AKONADIMIME_LIB_VERSION "5.22.3")
set(AKONADICONTACT_LIB_VERSION "5.22.3")
set(MESSAGELIB_LIB_VERSION "5.22.3")
set(KMIME_LIB_VERSION "5.22.3")
set(KMAILTRANSPORT_LIB_VERSION "5.22.3")
set(MAILIMPORTER_LIB_VERSION "5.22.3")
set(LIBKDEPIM_LIB_VERSION "5.22.3")
set(PIMCOMMON_LIB_VERSION "5.22.3")

set(PHONON_LIB_VERSION "4.11.1")
set(AKONADI_VERSION "5.22.3")

find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Test Xml)

set(GPGMEPP_LIB_VERSION "1.16.0")
find_package(Gpgmepp ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)
find_package(QGpgme ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5Archive ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ItemModels ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ItemViews ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5TextWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5SyntaxHighlighting ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5GuiAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailImporter ${MAILIMPORTER_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(Phonon4Qt${QT_MAJOR_VERSION} ${PHONON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILCOMMON
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfigVersion.cmake"
                        SOVERSION 5
)


########### Targets ###########
remove_definitions( -DQT_NO_CAST_FROM_ASCII )

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.99.0)


########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailCommon")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5MailCommonConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5MailCommonTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5MailCommonTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/MailCommon COMPONENT Devel
)

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5MailCommon_QCH
        FILE KF5MailCommonQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5MailCommonQchTargets.cmake\")")
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

add_akonadi_isolated_test(foldertreewidgettest.cpp)
target_link_libraries(foldertreewidgettest KF5::Mime KF5::AkonadiWidgets KF5::MailCommon)

add_akonadi_isolated_test(favoritestest.cpp)
target_link_libraries(favoritestest KF5::Mime KF5::AkonadiWidgets KF5::MailCommon)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_definitions(-DTRANSLATION_DOMAIN=\"libmailcommon\")

#add_definitions( -DQT_NO_CAST_FROM_ASCII )
#add_definitions( -DQT_NO_CAST_TO_ASCII )

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()



kconfig_add_kcfg_files(libmailcommon_SRCS
    settings/mailcommonsettings_base.kcfgc
)


ecm_qt_declare_logging_category(libmailcommon_SRCS HEADER mailcommon_debug.h IDENTIFIER MAILCOMMON_LOG CATEGORY_NAME org.kde.pim.mailcommon
        OLD_CATEGORY_NAMES log_mailcommon
        DESCRIPTION "mailcommon (mailcommon)" EXPORT MAILCOMMON)

set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.freedesktop.Akonadi.MailFilterAgent.xml PROPERTIES INCLUDE "dbusoperators.h")

qt_add_dbus_interfaces(libmailcommon_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.freedesktop.Akonadi.MailFilterAgent.xml
)

ki18n_wrap_ui(libmailcommon_SRCS filter/ui/filterconfigwidget.ui snippets/ui/snippetwidget.ui filter/ui/selectthunderbirdfilterfileswidget.ui)

set(libmailcommon_SRCS ${libmailcommon_SRCS} filter/soundtestwidget.cpp)

macro(add_resource_iface _kcfgFile _ifaceName _className)
  kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/${_kcfgFile} ${_ifaceName})
  qt_add_dbus_interface(libmailcommon_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml ${_className}
  )
endmacro()

add_resource_iface(settings.kcfg org.kde.Akonadi.POP3.Settings pop3settings)

qt_add_dbus_interfaces(libmailcommon_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.kde.Korganizer.Calendar.xml
)

add_library(KF5MailCommon)

add_library(KF5::MailCommon ALIAS KF5MailCommon)

target_sources(KF5MailCommon PRIVATE
    filter/kmfilteraccountlist.cpp
    filter/kmfilterlistbox.cpp
    filter/filterselectiondialog.cpp
    filter/filterconverter/filterconverttosieve.cpp
    filter/filterconverter/filterconverttosieveresultdialog.cpp
    filter/filterconverter/filterconverttosievepurposemenuwidget.cpp
    filter/filteractions/filteraction.cpp
    filter/filteractions/filteractionaddheader.cpp
    filter/filteractions/filteractionaddtag.cpp
    filter/filteractions/filteractionaddtoaddressbook.cpp
    filter/filteractions/filteractioncopy.cpp
    filter/filteractions/filteractiondecrypt.cpp
    filter/filteractions/filteractiondelete.cpp
    filter/filteractions/filteractiondict.cpp
    filter/filteractions/filteractionencrypt.cpp
    filter/filteractions/filteractionexec.cpp
    filter/filteractions/filteractionforward.cpp
    filter/filteractions/filteractionmove.cpp
    filter/filteractions/filteractionpipethrough.cpp
    filter/filteractions/filteractionplaysound.cpp
    filter/filteractions/filteractionredirect.cpp
    filter/filteractions/filteractionremoveheader.cpp
    filter/filteractions/filteractionreplyto.cpp
    filter/filteractions/filteractionrewriteheader.cpp
    filter/filteractions/filteractionsendfakedisposition.cpp
    filter/filteractions/filteractionsendreceipt.cpp
    filter/filteractions/filteractionsetidentity.cpp
    filter/filteractions/filteractionsetstatus.cpp
    filter/filteractions/filteractionstatus.cpp
    filter/filteractions/filteractionunsetstatus.cpp
    filter/filteractions/filteractionsettransport.cpp
    filter/filteractions/filteractionwidget.cpp
    filter/filteractions/filteractionwithaddress.cpp
    filter/filteractions/filteractionwithcommand.cpp
    filter/filteractions/filteractionwithcrypto.cpp
    filter/filteractions/filteractionwithfolder.cpp
    filter/filteractions/filteractionwithnone.cpp
    filter/filteractions/filteractionwithstring.cpp
    filter/filteractions/filteractionwithstringlist.cpp
    filter/filteractions/filteractionwithtest.cpp
    filter/filteractions/filteractionwithuoid.cpp
    filter/filteractions/filteractionwithurl.cpp
    filter/filterimporterexporter.cpp
    filter/filterimporter/filterimporterabstract.cpp
    filter/filterimporter/filterimporterevolution.cpp
    filter/filterimporter/filterimportersylpheed.cpp
    filter/filterimporter/filterimporterthunderbird.cpp
    filter/filterimporter/filterimporterprocmail.cpp
    filter/filterimporter/filterimporterbalsa.cpp
    filter/filterimporter/filterimporterclawsmail.cpp
    filter/filterimporter/filterimportergmail.cpp
    filter/filterlog.cpp
    filter/filtermanager.cpp
    filter/itemcontext.cpp
    filter/kmfilterdialog.cpp
    filter/mailfilter.cpp
    filter/filterimporterpathcache.cpp
    filter/dialog/selectthunderbirdfilterfilesdialog.cpp
    filter/dialog/selectthunderbirdfilterfileswidget.cpp
    filter/dialog/filteractionmissingfolderdialog.cpp
    filter/dialog/filteractionmissingsoundurldialog.cpp
    filter/dialog/filteractionmissingtagdialog.cpp
    filter/dialog/filteractionmissingaccountdialog.cpp
    filter/dialog/filteractionmissingtemplatedialog.cpp
    filter/dialog/filteractionmissingtransportdialog.cpp
    filter/dialog/filteractionmissingidentitydialog.cpp
    filter/invalidfilters/invalidfilterdialog.cpp
    filter/invalidfilters/invalidfilterlistview.cpp
    filter/invalidfilters/invalidfilterwidget.cpp
    filter/invalidfilters/invalidfilterinfo.cpp
    filter/invalidfilters/invalidfilterlistitemdelegate.cpp
    filter/invalidfilters/invalidfilterlistmodel.cpp
    filter/invalidfilters/invalidfilterinfowidget.cpp
    collectionpage/attributeregistrar.cpp
    collectionpage/collectiongeneralpage.cpp
    collectionpage/collectionexpirypage.cpp
    collectionpage/collectionexpirywidget.cpp
    collectionpage/attributes/expirecollectionattribute.cpp
    collectionpage/collectionexpiryjob.cpp
    collectionpage/collectiontemplateswidget.cpp
    collectionpage/collectionviewwidget.cpp
    collectionpage/collectiongeneralwidget.cpp
    folder/foldersettings.cpp
    folder/foldercollectionmonitor.cpp
    folder/folderrequester.cpp
    folder/folderselectiondialog.cpp
    folder/foldertreeview.cpp
    folder/foldertreewidget.cpp
    folder/foldertreewidgetproxymodel.cpp
    folder/entitycollectionorderproxymodel.cpp
    folder/accountconfigorderdialog.cpp
    folder/favoritecollectionorderproxymodel.cpp
    folder/hierarchicalfoldermatcher.cpp
    job/jobscheduler.cpp
    job/folderjob.cpp
    job/expirejob.cpp
    job/backupjob.cpp
    search/widgethandler/rulewidgethandlermanager.cpp
    search/searchpattern.cpp
    search/searchpatternedit.cpp
    search/widgethandler/encryptionwidgethandler.cpp
    search/widgethandler/textrulerwidgethandler.cpp
    search/widgethandler/statusrulewidgethandler.cpp
    search/widgethandler/messagerulewidgethandler.cpp
    search/widgethandler/tagrulewidgethandler.cpp
    search/widgethandler/numericrulewidgethandler.cpp
    search/widgethandler/daterulewidgethandler.cpp
    search/widgethandler/numericdoublerulewidgethandler.cpp
    search/widgethandler/headersrulerwidgethandler.cpp
    search/searchrule/searchrulenumerical.cpp
    search/searchrule/searchruledate.cpp
    search/searchrule/searchrulestring.cpp
    search/searchrule/searchrulestatus.cpp
    search/searchrule/searchruleencryption.cpp
    search/searchrule/searchrule.cpp
    snippets/snippetdialog.cpp
    snippets/snippetsmanager.cpp
    snippets/snippetsmodel.cpp
    snippets/snippetvariabledialog.cpp
    snippets/snippettreeview.cpp
    snippets/snippetwidget.cpp
    snippets/snippetattachmentwidget.cpp
    snippets/snippetselectattachmentwidget.cpp
    snippets/snippetselectattachmentdialog.cpp
    snippets/snippetcustomfileattachmentnamewidget.cpp
    snippets/snippetcustomfileattachmentnamedialog.cpp
    tag/tagwidget.cpp
    tag/tag.cpp
    tag/addtagdialog.cpp
    widgets/redirectdialog.cpp
    widgets/redirectwidget.cpp
    widgets/favoritecollectionwidget.cpp
    mdn/mdnwarningjob.h
    mdn/mdnwarningjob.cpp
    util/cryptoutils.cpp
    util/mailutil.cpp
    util/resourcereadconfigfile.cpp
    ${libmailcommon_SRCS}
    kernel/mailkernel.cpp
    job/folderjob.h
    job/expirejob.h
    job/jobscheduler.h
    job/backupjob.h
    filter/filterselectiondialog.h
    filter/kmfilteraccountlist.h
    filter/filterlog.h
    filter/dialog/filteractionmissingidentitydialog.h
    filter/dialog/filteractionmissingtemplatedialog.h
    filter/dialog/filteractionmissingaccountdialog.h
    filter/dialog/filteractionmissingtransportdialog.h
    filter/dialog/filteractionmissingfolderdialog.h
    filter/dialog/selectthunderbirdfilterfilesdialog.h
    filter/dialog/filteractionmissingsoundurldialog.h
    filter/dialog/filteractionmissingtagdialog.h
    filter/dialog/selectthunderbirdfilterfileswidget.h
    filter/invalidfilters/invalidfilterinfo.h
    filter/invalidfilters/invalidfilterlistitemdelegate.h
    filter/invalidfilters/invalidfilterlistmodel.h
    filter/invalidfilters/invalidfilterinfowidget.h
    filter/invalidfilters/invalidfilterdialog.h
    filter/invalidfilters/invalidfilterlistview.h
    filter/invalidfilters/invalidfilterwidget.h
    filter/kmfilterdialog.h
    filter/filtermanager.h
    filter/filterimporter/filterimportersylpheed.h
    filter/filterimporter/filterimportergmail.h
    filter/filterimporter/filterimporterprocmail.h
    filter/filterimporter/filterimporterabstract.h
    filter/filterimporter/filterimporterclawsmail.h
    filter/filterimporter/filterimporterthunderbird.h
    filter/filterimporter/filterimporterbalsa.h
    filter/filterimporter/filterimporterevolution.h
    filter/kmfilterlistbox.h
    filter/filterimporterpathcache.h
    filter/mailfilter.h
    filter/filteractions/filteractionexec.h
    filter/filteractions/filteractionstatus.h
    filter/filteractions/filteractionredirect.h
    filter/filteractions/filteractionwithaddress.h
    filter/filteractions/filteractionunsetstatus.h
    filter/filteractions/filteractiondict.h
    filter/filteractions/filteractionwithstring.h
    filter/filteractions/filteractionsettransport.h
    filter/filteractions/filteractionaddtag.h
    filter/filteractions/filteractionaddtoaddressbook.h
    filter/filteractions/filteractionwithcrypto.h
    filter/filteractions/filteractionreplyto.h
    filter/filteractions/filteractionwithnone.h
    filter/filteractions/filteractionwithurl.h
    filter/filteractions/filteractionpipethrough.h
    filter/filteractions/filteractiondelete.h
    filter/filteractions/filteractionwithtest.h
    filter/filteractions/filteractionwithuoid.h
    filter/filteractions/filteractionplaysound.h
    filter/filteractions/filteractionsetstatus.h
    filter/filteractions/filteractionwithstringlist.h
    filter/filteractions/filteraction.h
    filter/filteractions/filteractionsendreceipt.h
    filter/filteractions/filteractionsendfakedisposition.h
    filter/filteractions/filteractionremoveheader.h
    filter/filteractions/filteractioncopy.h
    filter/filteractions/filteractionsetidentity.h
    filter/filteractions/filteractiondecrypt.h
    filter/filteractions/filteractionencrypt.h
    filter/filteractions/filteractionmove.h
    filter/filteractions/filteractionforward.h
    filter/filteractions/filteractionwidget.h
    filter/filteractions/filteractionrewriteheader.h
    filter/filteractions/filteractionwithfolder.h
    filter/filteractions/filteractionaddheader.h
    filter/filteractions/filteractionwithcommand.h
    filter/itemcontext.h
    filter/filterimporterexporter.h
    filter/soundtestwidget.h
    filter/filterconverter/filterconverttosievepurposemenuwidget.h
    filter/filterconverter/filterconverttosieve.h
    filter/filterconverter/filterconverttosieveresultdialog.h
    search/widgethandler/textrulerwidgethandler.h
    search/widgethandler/rulewidgethandlermanager.h
    search/widgethandler/daterulewidgethandler.h
    search/widgethandler/encryptionwidgethandler.h
    search/widgethandler/numericdoublerulewidgethandler.h
    search/widgethandler/tagrulewidgethandler.h
    search/widgethandler/headersrulerwidgethandler.h
    search/widgethandler/messagerulewidgethandler.h
    search/widgethandler/statusrulewidgethandler.h
    search/widgethandler/numericrulewidgethandler.h

=== src/designer/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
include(ECMAddQtDesignerPlugin)
ecm_qtdesignerplugin_widget(MailCommon::SearchPatternEdit
    INCLUDE_FILE "MailCommon/SearchPatternEdit"
    TOOLTIP "Search pattern editor (KDE-PIM)"
    WHATSTHIS "This widget is intended to be used in the filter configuration as well as in the message search dialogs."
    GROUP "Input (KDE-PIM)"
    )

ecm_add_qtdesignerplugin(mailcommonwidgets
    NAME KDEPimMailCommonWidgets
    OUTPUT_NAME mailcommonwidgets
    WIDGETS
    MailCommon::SearchPatternEdit
    LINK_LIBRARIES
    KF5::MailCommon
    KF5::Libkdepim
    KF5::I18n
    INSTALL_DESTINATION "${KDE_INSTALL_QTPLUGINDIR}/designer"
    COMPONENT Devel
    )

=== src/filter/tests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_executable(filterimporterexportergui filterimporterexportergui.cpp)
ecm_mark_as_test(filterimporterexportergui)
target_link_libraries(filterimporterexportergui
  Qt::Core
  Qt::Gui
  KF5::MailCommon
  KF5::I18n
)

add_executable(invalidfilterdialoggui invalidfilterdialoggui.cpp)
ecm_mark_as_test(invalidfilterdialoggui)
target_link_libraries(invalidfilterdialoggui
  Qt::Core
  Qt::Gui
  KF5::MailCommon
  KF5::I18n
)

add_executable(kmfilterdialogtestgui kmfilterdialogtestgui.cpp ../../../autotests/dummykernel.cpp)
ecm_mark_as_test(kmfilterdialogtestgui)
target_link_libraries(kmfilterdialogtestgui
  Qt::Core
  Qt::Gui
  KF5::MailCommon
  KF5::I18n
)

add_executable(filteractionmissingsoundurldialogui filteractionmissingsoundurldialogui.cpp ../../../autotests/dummykernel.cpp ../dialog/filteractionmissingsoundurldialog.cpp)
ecm_mark_as_test(filteractionmissingsoundurldialogui)
target_link_libraries(filteractionmissingsoundurldialogui
  Qt::Core
  Qt::Gui
  KF5::MailCommon
  KF5::I18n
  KF5::KIOWidgets
)

add_executable(filteractionmissingtemplatedialoggui filteractionmissingtemplatedialoggui.cpp ../../../autotests/dummykernel.cpp ../dialog/filteractionmissingtemplatedialog.cpp)
ecm_mark_as_test(filteractionmissingtemplatedialoggui)
target_link_libraries(filteractionmissingtemplatedialoggui
  Qt::Core
  Qt::Gui
  KF5::MailCommon
  KF5::I18n
  KF5::Completion
)

add_executable(filteractionmissingtransportdialoggui filteractionmissingtransportdialoggui.cpp ../../../autotests/dummykernel.cpp ../dialog/filteractionmissingtransportdialog.cpp)
ecm_mark_as_test(filteractionmissingtransportdialoggui)
target_link_libraries(filteractionmissingtransportdialoggui
  Qt::Core
  Qt::Gui
  KF5::MailCommon
  KF5::I18n
  KF5::Completion
  KF5::MailTransport
)

add_executable(filteractionmissingaccountdialoggui filteractionmissingaccountdialoggui.cpp ../../../autotests/dummykernel.cpp  ../dialog/filteractionmissingaccountdialog.cpp)
ecm_mark_as_test(filteractionmissingaccountdialoggui)
target_link_libraries(filteractionmissingaccountdialoggui
  Qt::Core
  Qt::Gui
  KF5::MailCommon
  KF5::I18n
  KF5::Completion
)

add_executable(filteractionmissingtagdialoggui filteractionmissingtagdialoggui.cpp ../../../autotests/dummykernel.cpp ../dialog/filteractionmissingtagdialog.cpp)
ecm_mark_as_test(filteractionmissingtagdialoggui)
target_link_libraries(filteractionmissingtagdialoggui
  Qt::Core
  Qt::Gui
  KF5::MailCommon
  KF5::I18n
  KF5::Completion
)

add_executable(filteractionmissingidentitydialoggui filteractionmissingidentitydialoggui.cpp ../../../autotests/dummykernel.cpp ../dialog/filteractionmissingidentitydialog.cpp)
ecm_mark_as_test(filteractionmissingidentitydialoggui)
target_link_libraries(filteractionmissingidentitydialoggui
  Qt::Core
  Qt::Gui
  KF5::MailCommon
  KF5::I18n
  KF5::Completion
)

=== src/search/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_search_autotest _name)
    ecm_add_test(${ARGN}
        TEST_NAME ${_name}
        NAME_PREFIX "mailcommon-search-"
        LINK_LIBRARIES Qt::Test Qt::Gui KF5::Mime KF5::AkonadiCore KF5::AkonadiMime KF5::MailCommon KF5::I18n
    )
endmacro()

add_search_autotest(searchpatterntest
    searchpatterntest.cpp
    searchpatterntest.h
)
add_search_autotest(searchruletest
    searchruletest.cpp
    searchruletest.h
)
add_search_autotest(searchrulestatustest
    searchrulestatustest.cpp
    searchrulestatustest.h
)
add_search_autotest(searchrulenumericaltest
    searchrulenumericaltest.cpp
    searchrulenumericaltest.h
    ../searchrule/searchrulenumerical.cpp
)
add_search_autotest(searchruledatetest
    searchruledatetest.cpp
    searchruledatetest.h
    ../searchrule/searchruledate.cpp
)
add_search_autotest(searchrulestringtest
    searchrulestringtest.cpp
    searchrulestringtest.h
    ../searchrule/searchrulestring.cpp
)
add_search_autotest(searchruleencryptiontest
    searchruleencryptiontest.cpp
    searchruleencryptiontest.h
    ../searchrule/searchruleencryption.cpp
)

=== src/snippets/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_snippets _source)
     get_filename_component(_name ${_source} NAME_WE)
     ecm_add_test(${_source} ${_name}.h
         TEST_NAME ${_name}
         NAME_PREFIX "mailcommon-filter-"
         LINK_LIBRARIES Qt::Test Qt::Gui KF5::MailCommon KF5::XmlGui
     )

endmacro()

add_snippets(snippetsmanagertest.cpp)
add_snippets(snippetwidgettest.cpp)
add_snippets(snippetattachmentwidgettest.cpp)
add_snippets(snippetselectattachmentwidgettest.cpp)
add_snippets(snippetselectattachmentdialogtest.cpp)
add_snippets(snippetcustomfileattachmentnamedialogtest.cpp)
add_snippets(snippetcustomfileattachmentnamewidgettest.cpp)

=== debian/changelog ===
libkf5mailcommon (4:22.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch libgpgmepp-dev B-D to libqgpgme-dev (Closes: #1078481).

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 18:43:05 +0200

libkf5mailcommon (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:33:34 +0100

libkf5mailcommon (4:22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:28:26 +0100

=== debian/control ===
Source: libkf5mailcommon
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               libqgpgme-dev (>= 1.16.0~),
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:22.12.3~),
               libkf5akonadicontact-dev (>= 4:22.12.3~),
               libkf5akonadimime-dev (>= 4:22.12.3~),
               libkf5archive-dev (>= 5.99.0~),
               libkf5completion-dev (>= 5.99.0~),
               libkf5config-dev (>= 5.99.0~),
               libkf5configwidgets-dev (>= 5.99.0~),
               libkf5dbusaddons-dev (>= 5.99.0~),
               libkf5guiaddons-dev (>= 5.99.0~),
               libkf5i18n-dev (>= 5.99.0~),
               libkf5iconthemes-dev (>= 5.99.0~),
               libkf5itemmodels-dev (>= 5.99.0~),
               libkf5itemviews-dev (>= 5.99.0~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5libkdepim-dev (>= 4:22.12.3~),
               libkf5mailimporter-dev (>= 4:22.12.3~),
               libkf5mailtransport-dev (>= 22.12.3~),
               libkf5messagecomposer-dev (>= 4:22.12.3~),
               libkf5messagecore-dev (>= 4:22.12.3~),
               libkf5messagelist-dev (>= 4:22.12.3~),
               libkf5messageviewer-dev (>= 4:22.12.3~),
               libkf5mime-dev (>= 22.12.3~),
               libkf5pimcommon-dev (>= 4:22.12.3~),
               libkf5syntaxhighlighting-dev (>= 5.99.0~),
               libkf5templateparser-dev (>= 4:22.12.3~),
               libkf5textwidgets-dev (>= 5.99.0~),
               libkf5webengineviewer-dev (>= 4:22.12.3~),
               libkf5widgetsaddons-dev (>= 5.99.0~),
               libkf5xmlgui-dev (>= 5.99.0~),
               libphonon4qt5-dev (>= 4:4.11.1~),
               libphonon4qt5experimental-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.4.0~),
               xauth,
               xsltproc,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/mailcommon
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailcommon
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailcommon.git
Rules-Requires-Root: no

Package: libkf5mailcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5mailcommon-plugins (<< 4:19.08.2-1~),
Replaces: libkf5mailcommon-plugins (<< 4:19.08.2-1~),
Description: KDE PIM email utility library, shared data
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the shared data distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:22.12.3~),
         libkf5akonadimime-dev (>= 4:22.12.3~),
         libkf5config-dev (>= 5.99.0~),
         libkf5libkdepim-dev (>= 4:22.12.3~),
         libkf5mailcommon5abi2 (= ${binary:Version}),
         libkf5messagecomposer-dev (>= 4:22.12.3~),
         libkf5messagecore-dev (>= 4:22.12.3~),
         libkf5messageviewer-dev (>= 4:22.12.3~),
         libkf5pimcommon-dev (>= 4:22.12.3~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM email utility library, devel files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the development files needed for the KDE PIM mail common
 library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5mailcommon-data (<< 4:19.08.2-1~),
Description: KDE PIM email utility library, plugins
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the plugins distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5MailCommon
Architecture: any
Multi-Arch: same
Depends: libkf5mailcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM email utility library
 The mail common library provides utility functions for dealing with email.
 .
 This package is part of KDE PIM module.
Provides: ${ABI:VirtualPackage},

## libkf5mailcommon 23.08.0

=== debian/changelog ===
libkf5mailcommon (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:01:31 +0100

libkf5mailcommon (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:40:56 +0100

libkf5mailcommon (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:57:12 +0100

libkf5mailcommon (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libkf5textaddons-dev to Build-Depends
  * Rename library package: libkf5mailcommon5abi4 -> libkpim5mailcommon5
  * Update installed files
  * Drop enable_debianabimanager.diff
  * Sync debian/rules with debian, provide virtual ABI package
  * Inject dependency on libkf5mailcommon-plugins in debian/rules
  * Remove symbols file, no longer used
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 13:01:09 +0100

libkf5mailcommon (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:45:46 +0000

libkf5mailcommon (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:29:19 -0600

libkf5mailcommon (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:27:38 +0000

libkf5mailcommon (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:17:35 +0000

libkf5mailcommon (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:13:45 +0000

libkf5mailcommon (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:41:02 +0000

libkf5mailcommon (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:16:31 +0000

=== debian/control ===
Source: libkf5mailcommon
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5akonadi-dev (>= 4:23.08.0~),
               libkf5akonadimime-dev (>= 4:23.08.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:23.08.0~),
               libkf5grantleetheme-dev (>= 23.08.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5ldap-dev (>= 23.08.0~),
               libkf5libkdepim-dev (>= 4:23.08.0~),
               libkf5mailimporter-dev (>= 4:23.08.0~),
               libkf5mailtransport-dev (>= 23.08.0~),
               libkf5messagecomposer-dev (>= 4:23.08.0~),
               libkf5messagecore-dev (>= 4:23.08.0~),
               libkf5messagelist-dev (>= 4:23.08.0~),
               libkf5messageviewer-dev (>= 4:23.08.0~),
               libkf5mime-dev (>= 23.08.0~),
               libkf5mimetreeparser-dev (>= 4:23.08.0~),
               libkf5pimcommon-dev (>= 4:23.08.0~),
               libkf5syntaxhighlighting-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:23.08.0~),
               libkf5textaddons-dev,
               libkf5webengineviewer-dev (>= 4:23.08.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               xsltproc,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon

Package: libkf5mailcommon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:23.08.0~),
         libkf5akonadimime-dev (>= 4:23.08.0~),
         libkf5config-dev (>= 5.31.0~),
         libkf5libkdepim-dev (>= 4:23.08.0~),
         libkf5messagecomposer-dev (>= 4:23.08.0~),
         libkf5messagecore-dev (>= 4:23.08.0~),
         libkf5messageviewer-dev (>= 4:23.08.0~),
         libkf5mimetreeparser-dev (>= 4:23.08.0~),
         libkf5pimcommon-dev (>= 4:23.08.0~),
         libkpim5mailcommon5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM email utility library, devel files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the development files needed for the KDE PIM mail common
 library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE PIM email utility library, plugins
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the plugins distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libkpim5mailcommon5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${ABI:VirtualPackage},
Description: KDE PIM email utility library
 The mail common library provides utility functions for dealing with email.
 .
 This package is part of KDE PIM module.
